GET /api/v1/sites/{site_id}/insights/{metric}

mist.com

Summary: getSiteInsightMetrics
Operation ID: getSiteInsightMetrics
Auth: unknown
Description

Get Site Insight Metrics See metrics possibilities at /api/v1/const/insight_metrics

Parameters (8)

duration (string, query, optional, default: 1d)

For historical stats and/or logs where time range is needed, you can specify the time range in a few different ways: * ?start=1430000000&end=1430864000 specify the start / end * ?end=1430864000&duration=1d specify end time and duration * ?duration=1d specify duration, end will be now() in seconds

end (integer, query, optional, default: 0)

Constraints: {'minimum': 0}

interval (string, query, optional)

Aggregation works by giving a time range plus interval (e.g. 1d, 1h, 10m) where aggregation function would be applied to.

limit (integer, query, optional, default: 100)

Constraints: {'minimum': 0}

metric (string, path, required)

see /api/v1/const/insight_metrics for available metrics

page (integer, query, optional, default: 1)

Constraints: {'minimum': 1}

site_id (string, path, required)
start (integer, query, optional, default: 0)

Constraints: {'minimum': 0}

No probe data for this endpoint yet.